[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: multlib and splitting packages



Kevin Kofler (kevin kofler chello at) said: 
> Bill Nottingham <notting <at> redhat.com> writes:
> > Just to note, if you fix multiarch conflicts by moving libraries to
> > a -libs package, your new -libs package should obsolete the older
> > versions of the package where the libraries came from. This is so
> > that yum upgrades work properly.
> 
> This hack is a bad idea, it breaks APT-RPM! (Even for non-multilib systems!)

This solution works in:

- rpm
- yum

i.e., both the default depedency solvers.

Moreover, it has already been used in packages that shipped in Fedora 7, and
there were no complaints then.

Bill


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]